- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.framewindow.Bar Class Reference

The smjg.libs.sdwf.framewindow.Bar class is the abstract base class for 'bar' controls. More...

Inheritance diagram for smjg.libs.sdwf.framewindow.Bar:

List of all members.

## Public Member Functions
| this (FrameWindow parent, int id, string className)
| Constructs a Bar to be placed in a FrameWindow.
override bool | visible ()
| Whether this bar is currently visible.
override bool | visible (bool v)
| Whether this bar is currently visible.
## Protected Member Functions
abstract void | clipClientArea (inout Rect area)
| Adjusts a rectangle denoting the client area of a window to exclude the area occupied by this bar.

## Detailed Description

The smjg.libs.sdwf.framewindow.Bar class is the abstract base class for 'bar' controls.

These are controls that place themselves at the top or bottom of a parent window. Examples are toolbars and status bars (only the latter of which is currently supported by SDWF).

Since:
  0.58

## Constructor & Destructor Documentation

smjg.libs.sdwf.framewindow.Bar.this | ( | FrameWindow | parent,
|  | int | id,
|  | string | className |
| ) |  |  |

Constructs a Bar to be placed in a FrameWindow.

Parameters:

  | parent | the window on which the bar will be placed.
  | id | numeric control ID that the bar will have.

Status:
  done

## Member Function Documentation

override bool smjg.libs.sdwf.framewindow.Bar.visible | ( |  | ) |

Whether this bar is currently visible.

Reimplemented from smjg.libs.sdwf.windowbase.WindowBase.

override bool smjg.libs.sdwf.framewindow.Bar.visible | ( | bool | v | ) |

Whether this bar is currently visible.

Setting this property calls parent.setWindowScale to ensure that the FrameWindow's client pane is correctly sized after the operation.

Status:
  done

Reimplemented from smjg.libs.sdwf.windowbase.WindowBase.

abstract void smjg.libs.sdwf.framewindow.Bar.clipClientArea | ( | inout Rect | area | ) | `[protected, pure virtual]`

Adjusts a rectangle denoting the client area of a window to exclude the area occupied by this bar.

Parameters:

  | area | the rectangle to clip.

Implemented in smjg.libs.sdwf.statusbar.StatusBar.

The documentation for this class was generated from the following file:

- framewindow.d